petsc-3.4.2 2013-07-02

# DMLabelHasPoint

Determine whether a label assigns a value to a point

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMLabelHasPoint(DMLabel label, PetscInt point, PetscBool *contains)

### Input Parameters

| label | - the DMLabel
| point | - the point

### Output Parameter

contains -Flag indicating whether the label maps this point to a value

Note: The user must call DMLabelCreateIndex() before this function.

### See Also

DMLabelCreateIndex(), DMLabelGetValue(), DMLabelSetValue()

Level:developer
Location:src/dm/impls/plex/plexlabel.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages